# テナントバイヤー本番環境申請情報 取得

`GET /v1/buyer/contracts/examinations/{id}`

- operationId: `retrieveBuyerExaminationInfo`
- tags: テナントバイヤー申請管理

`id`で指定したテナントバイヤーの本番環境申請情報を取得します。


## コードサンプル

### cURL

```bash
curl \
    -X GET \
    -H "Authorization:Bearer <Secret API Key>" \
    -H "Tenant-Buyer-Id: <Tenant Buyer ID>" \
'https://api.test.fincode.jp/v1/buyer/contracts/examinations/{Tenant Buyer ID}'
```

### Node.js

```javascript
const API_KEY = "<Secret API Key>";
const TENANT_BUYER_ID = "<Tenant Buyer ID>";
const BUYER_ID = "<buyer_id>";

(async () => {
  try {
    const response = await fetch(
      `https://api.test.fincode.jp/v1/buyer/contracts/examinations/${BUYER_ID}`,
      {
        method: "GET",
        headers: {
          Authorization: `Bearer ${API_KEY}`,
          "Tenant-Buyer-Id": TENANT_BUYER_ID,
        },
      }
    );

    const data = await response.json();
    console.log(data);
  } catch (e) {
    console.error(e);
  }
})();
```

### Go

```go
package main

import (
	"fmt"
	"log"
	"net/http"
)

func main() {

	apiKey := "<Secret API Key>"

    buyerId := "<Buyer ID>"
	tenantBuyerID := "<Tenant Buyer ID>"

	// リクエストの作成
	req, _ := http.NewRequest("GET", fmt.Sprintf("https://api.test.fincode.jp/v1/buyer/contracts/examinations/%s", buyerId), nil)
	req.Header.Set("Authorization", fmt.Sprintf("Bearer %s", apiKey))
	req.Header.Set("Tenant-Buyer-Id", tenantBuyerID)

	// リクエストの送信
	client := &http.Client{}
	res, err := client.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer res.Body.Close()

}
```

### PHP

```php
<?php

$apiKey = '<Secret API Key>';

$buyerId = '<Buyer ID>';
$tenantBuyerId = '<Tenant Buyer ID>';

$baseUrl = "https://api.test.fincode.jp";
$endpoint = "/v1/buyer/contracts/examinations/{$buyerId}";
$headers = [
    "Authorization: Bearer " . $apiKey,
    "Tenant-Buyer-Id: " . $tenantBuyerId,
];

$session = curl_init();
curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
curl_setopt($session, CURLOPT_HTTPGET, true);
curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
// curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );
// curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );


$response = curl_exec($session);

if ($response === false) {
    # エラー処理
    echo "cURL Error: " . curl_error($session);
} else {
    # APIからのデータを処理
    var_dump($response);
}

curl_close($session);
```

### Python 3

```python
import requests

api_key = '<Secret API Key>'

buyer_id = '<Buyer ID>'
tenant_buyer_id = '<Tenant Buyer ID>'

url = f'https://api.test.fincode.jp/v1/buyer/contracts/examinations/{buyer_id}'

# ヘッダーを設定
headers = {
    'Authorization': f'Bearer {api_key}',
    'Tenant-Buyer-Id': tenant_buyer_id,
}

try:
    response = requests.get(url, headers=headers)

    # レスポンスの処理
    if response.status_code == 200:
        # APIからのデータを処理
        print(f"Success: {response.json()}")
    else:
        # エラーの処理
        print(f"Error: {response.json()}")
except requests.RequestException as e:
    # 通信エラーの処理
    print(f"Request error: {e}")
```

### Ruby

```ruby
require 'net/http'
require 'uri'

API_KEY = '<Secret API Key>'
BASE_URL = 'https://api.test.fincode.jp'

def main
    buyer_id = '<Buyer ID>'
    tenant_buyer_id = '<Tenant Buyer ID>'
    endpoint = "/v1/buyer/contracts/examinations/#{buyer_id}"

    uri = URI.parse(BASE_URL + endpoint)

    http = Net::HTTP.new(uri.host, uri.port)
    http.use_ssl = true

    # リクエストの作成
    request = Net::HTTP::Get.new(uri.request_uri)
    request['Authorization'] = "Bearer #{API_KEY}"
    request['Tenant-Buyer-Id'] = tenant_buyer_id

    # リクエストの送信
    response = http.request(request)

    case response
    when Net::HTTPSuccess
        puts 'SUCCESS'
    else
        puts 'ERROR'
    end

    # レスポンスの表示
    puts response.body
end

main
```

## パラメータ

| 名前 | 位置 | 必須 | 型 | 説明 |
| --- | --- | --- | --- | --- |
| `id` | path | ✓ | schema | 指定したテナントバイヤーの本番環境申請情報を取得します。`Tenant-Buyer-Id`ヘッダーも併せて指定してください。 |
| `Tenant-Buyer-Id` | header | ✓ | schema | <span class="smallText color--red-400">※ プラットフォームのメインショップのみ指定可</span> |

## レスポンス

### 200 リクエストに成功

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `buyer_id` | buyer_id |  | バイヤーID |
| `corporate_number` | corporate_number |  | 法人番号 |
| `status_code` | ContractStatus |  |  |
| `contract_info` | BuyerContractInfo |  | 契約情報 |
| `business_operator_bank_account_info` | BusinessOperatorBuyerBankAccountInfo |  | 事業者口座情報 |

### 400 不正なリクエスト

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `errors` | array<FincodeAPIError> |  |  |

